#include "var.h"
#include "dht.h"
#include "u8g2.h"
#include <WiFi.h>
//#include <HTTPClient.h>
#include <SimpleDHT.h>


void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);

  // scanNetworks();

 connectToNetwork();
  Serial.println(WiFi.macAddress());
  Serial.println(WiFi.localIP());

  // WiFi.disconnect(true);
  // Serial.println(WiFi.localIP());

  iniciarPines();
  encenderTodos();
  // DHT
  iniciarDHT();
 // iniciarU8G2();
 // imprimirU8G2(dibujar);


}

void loop() {
  leerDHT();

  Serial.print("Temperatura = ");
  Serial.print(temperatura);
  Serial.print("ºC");
  Serial.print("  Humedad = ");
  Serial.print(humedad);
  Serial.println("%");

  parametro = construirParametro();  //"ds"+String(cont++);
  Serial.println(parametro);
  trama = transmitir(parametro);
  Serial.println(trama);
  tratarTrama();
  delay(10);

  tocar = touchRead(pinTocar);
  Serial.println(tocar);
  if (tocar < 50) {
    digitalWrite(2, !digitalRead(2));
  }


}
